## net.sourceforge.pmd.cpd
Class RubyTokenizer

    java.lang.Object
      net.sourceforge.pmd.cpd.RubyTokenizer

All Implemented Interfaces:
  Tokenizer

public class RubyTokenizer
extends java.lang.Object
implements Tokenizer

Constructor Summary
`RubyTokenizer()`

Method Summary
`void` `tokenize(SourceCode tokens, Tokens tokenEntries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RubyTokenizer

    public RubyTokenizer()

Method Detail

### tokenize

    public void tokenize(SourceCode tokens,
                         Tokens tokenEntries)

  Specified by:
    `tokenize` in interface `Tokenizer`

Copyright © 2002-2006 InfoEther. All Rights Reserved.